Browse Docs
On This Page

Endpoint: Entitlements

Method + path

  • GET /compress/entitlements/me

Examples

cURL
curl -sS "https://api.tools.fast/compress/entitlements/me" \
  -H "X-Fast-Api-Key: fast_prod_your_key_here"
C#
using var http = new HttpClient();
http.DefaultRequestHeaders.Add("X-Fast-Api-Key", "fast_prod_your_key_here");

var entitlements = await http.GetFromJsonAsync<JsonElement>(
    "https://api.tools.fast/compress/entitlements/me");
PowerShell
Invoke-RestMethod "https://api.tools.fast/compress/entitlements/me" `
  -Headers @{ "X-Fast-Api-Key" = "fast_prod_your_key_here" }

Auth

Requires X-Fast-Api-Key.

Response

200 OK with entitlements details.

Example response

{
  "userId": "0195e2a0-1234-7000-8000-000000000099",
  "organizationId": "0195e2a0-1234-7000-8000-000000000050",
  "planId": "pro",
  "planName": "Pro",
  "accessDisplayName": "Pro",
  "totalCredits": 4850,
  "planCredits": 5000,
  "loyaltyCredits": 0,
  "walletCredits": 0,
  "source": "accounts.tools.fast",
  "tier": "pro"
}

Notes

Credits are shared across all Tools.FAST services. Compressing a file on Compress.FAST uses credits from the same wallet as Convert.FAST.

Copied.